Export GitHub repo
curl --request POST \
--url https://api.runaether.dev/projects/{id}/github/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commit_message": "<string>",
"force": true
}
'import requests
url = "https://api.runaether.dev/projects/{id}/github/export"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commit_message": "<string>",
"force": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
commit_message: '<string>',
force: true
})
};
fetch('https://api.runaether.dev/projects/{id}/github/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"link": {
"clone_url": "<string>",
"default_branch": "<string>",
"repo_full_name": "<string>",
"repo_name": "<string>",
"repo_owner": "<string>"
},
"repo_url": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}GitHub
Export GitHub repo
POST
/
projects
/
{id}
/
github
/
export
Export GitHub repo
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I